1.1
1.1
put /v1/loadbalancers/{loadbalancer_id}
Description
Set Load Balancer
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | ID Example : | string | None |
| body | body required | LoadbalancerUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LoadbalancerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"loadbalancer": {
"description": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"health_check_ip": [
""
],
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}